Bug 225213 - www/unit: port does not create LOG/RUN directories upon install
Summary: www/unit: port does not create LOG/RUN directories upon install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-16 12:23 UTC by Oleg Ginzburg
Modified: 2018-01-20 19:37 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
www/unit: create RUN/LOG dirs (639 bytes, text/plain)
2018-01-16 12:23 UTC, Oleg Ginzburg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Ginzburg 2018-01-16 12:23:24 UTC
Created attachment 189793 [details]
www/unit: create RUN/LOG dirs

After port install:

service unitd onestart

Starting unitd.
2018/01/16 15:05:06 [crit] 14045#101190 bind(4, unix:/var/run/unit/control.unit.sock) failed (2: No such file or directory)
/usr/local/etc/rc.d/unitd: WARNING: failed to start unitd


I propose to create the necessary dirs
Comment 1 commit-hook freebsd_committer 2018-01-20 19:37:06 UTC
A commit references this bug:

Author: osa
Date: Sat Jan 20 19:36:18 UTC 2018
New revision: 459542
URL: https://svnweb.freebsd.org/changeset/ports/459542

Log:
  Add back LOG/RUN directories creation to fix unit's start-up.
  Bump PORTREVISION.

  PR:	225213

Changes:
  head/www/unit/Makefile
Comment 2 Sergey A. Osokin freebsd_committer 2018-01-20 19:37:44 UTC
Thanks for the report, the issue has been fixed!